#ifndef GetDefaultComplexComParameter_H
#define GetDefaultComplexComParameter_H

#include <Command.h>

#include "ComChannel.h"
namespace ProtoGenWrapper
{
	class GetDefaultComplexComParameter : public OpenTestSystem::OtxDiagManager::Common::Command
	{
	public:
		GetDefaultComplexComParameter(const ComChannel* comChannel, const std::string& comparametername);
		GetDefaultComplexComParameter(const OpenTestSystem::OtxDiagManager::Common::Command& cmd);

		bool GetValues(ComChannel*& comChannel, std::string& comparametername);

		static int GetCommandType();
	};
}
#endif // GetDefaultComplexComParameter_H
